Z3 |

Public Member Functions
config Class Reference

Z3 global configuration object. More...

`#include <z3++.h>`

## Public Member Functions
| config ()
| ~config ()
| operator Z3_config () const
void | set (char const *param, char const *value)
| Set global parameter `param` with string `value`. More...
void | set (char const *param, bool value)
| Set global parameter `param` with Boolean `value`. More...
void | set (char const *param, int value)
| Set global parameter `param` with integer `value`. More...

## Detailed Description

Z3 global configuration object.

Definition at line 107 of file z3++.h.

## Constructor & Destructor Documentation

## ◆ config()

config | ( |  | ) |
| inline

Definition at line 112 of file z3++.h.

112{ m_cfg = Z3_mk_config(); }
Z3_mk_config
Z3_config Z3_API Z3_mk_config(void)
Create a configuration object for the Z3 context object.

## ◆ ~config()

~config | ( |  | ) |
| inline

Definition at line 113 of file z3++.h.

113{ Z3_del_config(m_cfg); }
Z3_del_config
void Z3_API Z3_del_config(Z3_config c)
Delete the given configuration object.

## Member Function Documentation

## ◆ operator Z3_config()

operator Z3_config | ( |  | ) | const
| inline

Definition at line 114 of file z3++.h.

114{ return m_cfg; }

## ◆ set() [1/3]

void set | ( | char const * | param,
|  | bool | value
| ) |  |
| inline

Set global parameter `param` with Boolean `value`.

Definition at line 122 of file z3++.h.

122{ Z3_set_param_value(m_cfg, param, value ? "true" : "false"); }
Z3_set_param_value
void Z3_API Z3_set_param_value(Z3_config c, Z3_string param_id, Z3_string param_value)
Set a configuration parameter.

## ◆ set() [2/3]

void set | ( | char const * | param,
|  | char const * | value
| ) |  |
| inline

Set global parameter `param` with string `value`.

Definition at line 118 of file z3++.h.

118{ Z3_set_param_value(m_cfg, param, value); }

## ◆ set() [3/3]

void set | ( | char const * | param,
|  | int | value
| ) |  |
| inline

Set global parameter `param` with integer `value`.

Definition at line 126 of file z3++.h.

126 {
127 auto str = std::to_string(value);
128 Z3_set_param_value(m_cfg, param, str.c_str());
129 }